#!/usr/bin/expect --

#
# $Id: localswitches.tcl,v 1.1 2003/04/02 04:56:36 mcr Exp $
#

source $env(FREESWANSRCDIR)/testing/utils/GetOpts.tcl
source $env(FREESWANSRCDIR)/testing/utils/netjig.tcl

set netjig_debug_opt ""

set netjig_prog $env(FREESWANSRCDIR)/testing/utils/uml_netjig/uml_netjig

spawn -noecho -open [open "|$netjig_prog --cmdproto -t $netjig_debug_opt 2>@stderr" w+]
set netjig1 $spawn_id

newswitch $netjig1 public
newswitch $netjig1 east
newswitch $netjig1 west

foreach host $argv {
    system "$host single &"
}

puts "Waiting for netjig to die"

set timeout -1
expect -i $netjig1 eof

